chiark
/
gitweb
/
~mdw
/
distorted-letsencrypt
/ commitdiff
commit
grep
author
committer
pickaxe
?
search:
re
summary
|
shortlog
|
log
|
commit
| commitdiff |
tree
raw
|
patch
|
inline
| side by side (parent:
c67523f
)
bin/reissue: Fix swallowing of nonzero exit status.
author
Mark Wooding
<mdw@distorted.org.uk>
Wed, 12 Jul 2017 22:00:56 +0000
(23:00 +0100)
committer
Mark Wooding
<mdw@distorted.org.uk>
Wed, 12 Jul 2017 22:00:56 +0000
(23:00 +0100)
bin/reissue
patch
|
blob
|
blame
|
history
diff --git
a/bin/reissue
b/bin/reissue
index 375832705801f009b267eb4ce540db2cb9e9dc2a..297edcda1e7b69f68ac9e7a111bb132feb0d6d38 100755
(executable)
--- a/
bin/reissue
+++ b/
bin/reissue
@@
-14,6
+14,6
@@
for tagdir in $home/cert/*; do
tag=${tagdir##*/} cert=$tagdir/full-chain
if openssl x509 -in "$cert" -noout -checkend $certlife; then continue; fi
set +e; $home/bin/make-cert "$tag"; rc=$?; set -e
tag=${tagdir##*/} cert=$tagdir/full-chain
if openssl x509 -in "$cert" -noout -checkend $certlife; then continue; fi
set +e; $home/bin/make-cert "$tag"; rc=$?; set -e
- case $
?
in 0) ;; *) myrc=$rc ;; esac
+ case $
rc
in 0) ;; *) myrc=$rc ;; esac
done
exit $myrc
done
exit $myrc